summaryrefslogtreecommitdiffstats
path: root/deployment
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-11-09 07:33:57 +0100
committerSven Gothel <[email protected]>2010-11-09 07:33:57 +0100
commit8f5ec187a744d3535a3a0bce928b2e2ae0ddc2f5 (patch)
tree0d4e0d07ca7864df012193703bd5f22db7ebaa46 /deployment
parentcd15a474414bfadba0601532254dd781ef8fb661 (diff)
Add jnlp security tag filter for unsigned temp builds
Diffstat (limited to 'deployment')
-rwxr-xr-xdeployment/funcs_jnlp_relocate.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/deployment/funcs_jnlp_relocate.sh b/deployment/funcs_jnlp_relocate.sh
index b4dabb3..e2d08a2 100755
--- a/deployment/funcs_jnlp_relocate.sh
+++ b/deployment/funcs_jnlp_relocate.sh
@@ -42,3 +42,27 @@ for j in $jnlpdir/*.jnlp ; do
done
}
+
+function remove_security_tag_jnlps() {
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+cd $wsdir
+
+for i in *.jnlp ; do
+ sed -i -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' $i
+done
+
+}
+